Download Center Guide

Download Center ver.3.10

Copyright © 1999-2004 Real Time Software Engineering LLC www.traderssoft.com


What is dCenter

What is the Download Center?

The Download Center (shortly dCenter) is a Microsoft Windows compatible program designed to download historical and current daily quotes from free quote servers like Yahoo directly to Metastock database.
dCenter program is a functional analogue of Quote Center utility from a package of technical analysis MetaStock for Windows. The program uses TCP/IP protocol for connection to servers through global electronic network Internet. dCenter program has a smooth integration with a package of technical analysis MetaStock for Windows 95 and NT Version 6.52 -9.0.
Users can update database files directly from The DownLoader using The DownLoader's Download Prices tool.
dCenter is no standalone application therefore it cannot download data outside of The Downloader environment.


Installation

Step-by-Step installation.

Download an executable file from the http://traderssoft.com/hist/dc/demo/ location in accordance with the version of the operating system you have installed. "Demo" is a full functional version of dCenter which is limited to download 10 records of data. The file has name DC310WNEW.exe for the modern Windows 98/2000/XP or DC310WOLD.exe for Windows 95/NT operating systems.
 The same executable is used for registered users. To avoid the limitation a user should register the program to receive an unlocking key.

Startup the downloaded file DC310WNEW.exe ( or DC310WOLD.exe)

Select "Install" radio button and press on the "Next" button.

You will see the second page of the installation program. If you agree with the license agreement, press on the "Next" button .

Here are installation notes. Read the notes carefully, please. Press on the "Next" button to continue

Please type your registration information on the next screen. If you are a demo user, please type DEMO as your name. Remember the Personal # for future use while ordering online. Press the "Next" button to continue. You will be prompted for the file name and the folder where the program will save a registration form for future use. Also the program will start up a notepad editor and open the registration form.

Next screen provides you with the information about all copies of The Downloader which has been found on your computer. Usually you have no chance to change something if you have installed a single copy of The Downloader. Leave this screen settings as they are by default. Press on the "Next" button to continue

If you see the screen shown below, then installation is succesfully completed.

When you have registered the program and received an unlocking key you should repeat all the steps above to enter the user name, company name and key.


Changing dCenter's options

Startup Download Center:

1. Choose Programs from the Start menu.
2. Choose the Download Center folder.
3. Choose the dCenter shortcut.

Select the "Change options" radio button and press on the "Next" button. You will go through the option pages of the program.

Collect historical quote options.

With the "Collect historical quote" set of the week days you may let dCenter combine getting historical and delayed quotes simultaneously for certain days of week. Downloading of historical quotes are quite slow. Use this option only if it is necessary to fill gaps in data or fill newly created securities. It is recommended to select weekend days. All days are selected by default.

Download session options.

Select the "1/100 Volume Scale" check box if you already have a database that have been filled with Reuters Datalink data. RDL provides data with volume measured in a lot of 100 shares instead of number of shares.
Select the "Collect current quote" check box to let dCenter using delayed quotes.
Select the "Collect international quote" check box to let dCenter using delayed quotes of international exchanges. All international symbols has suffixes that allow to determine which server should be used to download data from. Select the suffixes you need to collect data for.
"Timeout" box provides the value to limit maximum time of a downloading session before dCenter will stop. This is useful for an automatic database maintenance.

Aliases List.

A charting software may have different symbols of the same stock or index at data vendor. It is possible to define a list of aliases. Place a single symbol of a data vendor at the left column and a charting software symbol or several symbols separated by comma at the right column of the same row of the table shown on the picture below. Each time when dCenter meets a charting software symbol in the aliases list it looks for the data vendor symbol which it gets data for.

Aliases list may be specified in an external file Aliases.txt which you should place into The Downloader's folder. If the file exists, a user cannot edit the aliases table. Each row of the file should contain a symbol of a data vendor at the most left position, then equal sign, and then a charting software symbol or several symbols separated by semicolon, as shown on the lines below
 ^IXIC=$IXIC;^IXIC;.IXIC;
 ^DJI=*DWI X;$INDU;.DJI;^DJI
 ^SPX=*SPX;$SPX;.SPX
.

Managing splits and price difference.

dCenter provides a way to automatically update a whole series of prices instead of the date missed, if split or distribution has been detected. dCenter finds out an unusual price change. If the change is greater than the percentage value Up or Down, dCenter reloads the whole series.
"Delayed price adjustment" check box let use multiplier if historical and current quote differs. It is important for interest rate indexes. User should put the securities which require correction of delayed prices into a separate folder(s). User should list the folders and multipliers in the table as shown on the picture. For example, if current data is 59.06 and the historical data is 5.906 user should
use the 0.1 multiplier. The folder's path should not contain a trailing slash character "\" and must be absolute as well as it is shown in the Downloader.

Dial-Up Remote Access Service.

Next screen provides you with the information about Dial-Up options. Select the checkbox and let dCenter automatically establish an Internet modem connection.

Last screen

 Next screen provides you with the information that all options have been updated.


How to register?

To register Download Center you should pay a one time registration fee at ShareIt.com and provide us with the personal # of the program , user name and company name which you want to register for. Fill out the registration form and send us.

    REGISTRATION

To obtain a registration key you should make a payment on ShareIt.com for the program ID#139538 and should send the form of the registration to dCenter Team by e-mail dCenter@traderssoft.com.

Use your favorite text editor to fill the form below. Please PRINT this section clearly.

Personal#: | __________________
Name: | __________________
Company: | __________________
E-mail: | __________________

Note: dCenter Team suggest you do NOT use telephone numbers or other information which is likely to change as Name string. The Name and Company strings must be a 5 - 50 characters in length and must not contain the underscore character "_".
For details of anything not specifically covered by the above statements please contact to dCenter Team.

You will receive an unlock key. We usually send the key via e-mail within 12 hours after your payment is received. You don't need to download the program again. Just install the DC30WNEW.EXE program and fill the name, company and unlock key.
Please type your registration information on the following screen and press on the "Next" button.


Uninstalling dCenter.

Startup Download Center:

1. Choose Programs from the Start menu.
2. Choose the Equis International folder or Download Center folder.
3. Choose the Uninstall Download Center.

Select the "Uninstall" radio button and press on the "Next" button. The program will completely be removed.


Downloading quotes.

First, it is necessary to set up The Downloader. Choose Vendor Options from the Tools menu. Select BMI as data vendor. A User should use The Downloader to make a data folder and create securities.
The Download Prices command of the Downloader is used to collect price data from the Yahoo if dCenter has been already installed. Read The Downloader's help or manual articles on the "Collecting Data", "To Collect Data" except choosing a data vendor.
Once prices has been successfully downloaded, next time it is possible to use the Express Download command of the Downloader. The Express Download command quickly bypasses all the initial setup required to start a downloading session. Advanced users can automate a downloading session with a scheduler using the following command line:

"C:\Program Files\Equis\The DownLoader\dlwin.exe" /express

dCenter is intended for everyday updating. It updates data extremely fast but User should update data every evening after markets closes to keep data integrity. If a new securities has been added or there is gaps in the data, User should manually set the mode for downloading historical data.


dCenter Guide

Symbol lookup.

Each data vendor has its own symbol name set. Yahoo has the special web page, that may be used for symbol lookup. At Yahoo nearly all of US and Canadian stocks have the same symbol names as on NYSE/NASDAQ/TSE while world stocks and indices differs. For example the list below illustrates symbols for well known world indices.

Yahoo Symbol | Description
^DJI | "DJ INDU AVERAGE"
^FTSE | "FTSE 100 INDEX"
^GDAX | "XETRA DAX INDEX"

Next list below defines the suffixes that must be appended to the end of each world symbol except US and Canadian. Note, that most world symbols don't have historical data at Yahoo, only current quotes may be downloaded.

Suffix | Server | Exchange | Country
.A | finance.yahoo.com | American Stock Exchange (ASE) | United States
.B | finance.yahoo.com | Boston Stock Exchange (BOS) | United States
.O | finance.yahoo.com | Nasdaq Stock Exchange (NAS) | United States
.N | finance.yahoo.com | NYSE Stock Exchanges (NYS) | United States
.OB | finance.yahoo.com | OTC Bulletin Board Market (OBB) | United States
.BA | ar.finance.yahoo.com | Buenos Aires Stock Exchange (BUE) | Argentina
.VI | de.finance.yahoo.com | Vienna Stock Exchange (VIE) | Austria
.AX | au.finance.yahoo.com | Australian Stock Exchange (ASX) | Australia
.SA | br.finance.yahoo.com | Sao Paolo Stock Exchange (SAO) | Brazil
.M | ca.finance.yahoo.com | Montreal Stock Exchange (MON) | Canada
.TO | ca.finance.yahoo.com | Toronto Stock Exchange (TOR) | Canada
.V | ca.finance.yahoo.com | Vancouver Stock Exchange (VAN) | Canada
.SN | espanol.finance.yahoo.com | Santiago Stock Exchange (SGO) | Chile
.SS | cn.finance.yahoo.com | Shanghai Stock Exchange (SHH) | China
.SZ | cn.finance.yahoo.com | Shenzhen Stock Exchange (SHZ) | China
.CO | dk.finance.yahoo.com | Copenhagen Stock Exchange (CPH) | Denmark
.P | fr.finance.yahoo.com | Paris Stock Exchange (PAR) | France
.BE | de.finance.yahoo.com | Berlin Stock Exchange (BER) | Germany
.BM | de.finance.yahoo.com | Bremen Stock Exchange (BRE) | Germany
.D | de.finance.yahoo.com | Dusseldorf Stock Exchange (DUS) | Germany
.F | de.finance.yahoo.com | Frankfurt Stock Exchange (FRA) | Germany
.H | de.finance.yahoo.com | Hamburg Stock Exchange (HAM) | Germany
.HA | de.finance.yahoo.com | Hanover Stock Exchange (HAN) | Germany
.MU | de.finance.yahoo.com | Munich Stock Exchange (MUN) | Germany
.SG | de.finance.yahoo.com | Stuttgart Stock Exchange (STU) | Germany
.DE | de.finance.yahoo.com | XETRA Stock Exchange (GER) | Germany
.HK | hk.finance.yahoo.com | Hong Kong Stock Exchange (HKG) | Hong Kong
.BO | in.finance.yahoo.com | Bombay Stock Exchange (BSE) | India
.CL | in.finance.yahoo.com | Calcutta Stock Exchange (CAL) | India
.NS | in.finance.yahoo.com | National Stock Exchange of India (NSI) | India
.JK | sg.finance.yahoo.com | Jakarta Stock Exchange (JKT) | Indonesia
.TA | finance.yahoo.com | Tel Aviv Stock Exchange (TLV) | Israel
.MI | it.finance.yahoo.com | Milan Stock Exchange (MIL) | Italy
.KS | kr.finance.yahoo.com | Korea Stock Exchange (KSC) | Korea
.KL | sg.finance.yahoo.com | Kuala Lumpur Stock Exchange (KLS) | Malaysia
.MX | mx.finance.yahoo.com | Mexico Stock Exchange (MEX) | Mexico
.NZ | au.finance.yahoo.com | New Zealand Stock Exchange (NZE) | New Zealand
.AS | de.finance.yahoo.com | Amsterdam Stock Exchange (AEX) | Netherlands
.OL | no.finance.yahoo.com | Oslo Stock Exchange (OSL) | Norway
.LM | espanol.finance.yahoo.com | Lima Stock Exchange (LMA) | Peru
.SI | sg.finance.yahoo.com | Singapore Stock Exchange (SES) | Singapore
.BC | es.finance.yahoo.com | Barcelona Stock Exchange (BAR) | Spain
.BI | es.finance.yahoo.com | Bilbao Stock Exchange (BIL) | Spain
.MF | es.finance.yahoo.com | Madrid Fixed Income Market | Spain
.MC | es.finance.yahoo.com | Madrid SE C.A.T.S. (MCE) | Spain
.MA | es.finance.yahoo.com | Madrid Stock Exchange (MAD) | Spain
.ST | se.finance.yahoo.com | Stockholm Stock Exchange (STO) | Sweden
.TWO | tw.finance.yahoo.com | Taiwan OTC Exchange (TWO) | Taiwan
.TW | tw.finance.yahoo.com | Taiwan Stock Exchange (TAI) | Taiwan
.BK | sg.finance.yahoo.com | Stock Exchange of Thailand (SET) | Thailand
.L | uk.finance.yahoo.com | London Stock Exchange (LSE) | United Kingdom
.CR | espanol.finance.yahoo.com | Caracas Stock Exchange (CCS) | Venezuela


Technical Support

If you've checked the help and still cannot find the answer to your problem or question, RealTime Software Engineering has a full staff of technical support representatives ready to help you. We provide the technical support via E-mail: dCenter@traderssoft.com
When you write a message to the technical support, it is helpful if you can provide your version number and build date. This information is displayed on the caption of dCenter program.

Other useful information you may find out at the RT Soft's WEB page http://www.traderssoft.com